Subject: Re: bug#56561: 29.0.50; Infloop in try_window

From: Eli Zaretskii <[email-masked]>
Date: Fri, 15 Jul 2022 13:52:47 +0300

> Cc: [email-masked]
> Date: Fri, 15 Jul 2022 09:14:10 +0300
> From: Eli Zaretskii <[email-masked]>
> 
> Hmm... so the short tooltip text somehow causes us to exceed the
> number of glyph rows of the matrix?  Please tell what the commands
> below show:
> 
>  (gdb) pgrowx it->w->desired_matrix->rows
>  (gdb) pgrowx it->w->desired_matrix->rows+1
>  (gdb) pgrowx it->w->desired_matrix->rows+2
>  (gdb) pgrowx it->w->desired_matrix->rows+3
>  ...
>  (gdb) pgrowx it->w->desired_matrix->rows+34
> 
> That is, I want to see the entire contents of the glyph rows.
> 
> Also
> 
>  (gdb) p it->last_visible_x
>  (gdb) p it->last_visible_y

Actually, I think I see the reason.  I installed a fix, but I cannot
find a way of triggering the problem, so I cannot be 110% sure this is
fixed.  I guess time will tell.

Thanks.